function [population] = generateInitialPopulation(numberOfElements,domain)
	for i = 1:numberOfElements
		population(i).chromossome = domain(:,1) + (domain(:,2)-domain(:,1)).*(rand(length(domain(:,1)),1));	
	endfor;
	# It is separated so that we can parallelize the algorithm
	for i = 1:numberOfElements
		population(i).fitness = evaluateElement(population(i).chromossome);
	endfor;
endfunction;